# Might want to skip to m6 next time, because pand
# is now at m5.
PR = "m1"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

EXTRA_OECONF += "--enable-deprecated --enable-experimental"

RDEPENDS_${PN}-pand += "bash python-dbus python-logging python-syslog python-subprocess python-argparse"
RDEPENDS_${PN}-rfcomm += "bash python-pygobject python-syslog python-logging python-dbus python-pybluez" 
RDEPENDS_bluez5 += "bash"

SRC_URI += "\
    file://init \
    file://default \
    file://main.conf \
    file://bt-pan/init \
    file://bt-pan/default \
    file://bt-pan/bt-pan \
    file://rfcomm/rfcomm.py \
    file://rfcomm/init \
    file://rfcomm/default \
    file://BT-Name \
"
PACKAGES =+ "${PN}-mlinit ${PN}-bt-name libasound-module-bluez ${PN}-pand ${PN}-rfcomm"

DBTEXEC = "${D}${libexecdir}/bluetooth/"


do_install_append() {
    echo "sysconfdir is ${D}${sysconfdir}"
    install -m 0755 ${WORKDIR}/bt-pan/init ${D}${INIT_D_DIR}/bt-pan
    install -m 0755 ${WORKDIR}/rfcomm/init ${D}${INIT_D_DIR}/rfcomm
    install -d ${DBTEXEC}
    install -m 0755 ${WORKDIR}/bt-pan/bt-pan ${DBTEXEC}
    install -m 0755 ${WORKDIR}/rfcomm/rfcomm.py ${DBTEXEC}/rfcomm
    install -d ${D}${sysconfdir}/default

    install -m 0644 ${WORKDIR}/default ${D}${sysconfdir}/default/bluetooth
    install -m 0644 ${WORKDIR}/bt-pan/default ${D}${sysconfdir}/default/bt-pan
    install -m 0644 ${WORKDIR}/rfcomm/default ${D}${sysconfdir}/default/rfcomm
    install -m 0644 ${WORKDIR}/main.conf ${D}${sysconfdir}/bluetooth/

    install -d ${D}/usr/share/bluez5
    install -m 0444 ${WORKDIR}/BT-Name ${D}/usr/share/bluez5/BT-Name.patch

    if [ -f ${D}/${sysconfdir}/init.d/bluetooth ]; then
        sed -i -e 's#@LIBEXECDIR@#${libexecdir}#g' ${D}/${sysconfdir}/init.d/bluetooth
    fi

    install -d ${D}/usr/share/bluez5
    install -m 0444 ${WORKDIR}/BT-Name ${D}/usr/share/bluez5/BT-Name.patch
}

CONFFILES_${PN} += "${sysconfdir}/bluetooth/main.conf ${sysconfdir}/bluetooth/input.conf ${sysconfdir}/bluetooth/network.conf"

FILES_${PN}-pand = "${libexecdir}/bluetooth/bt-pan ${sysconfdir}/default/bt-pan ${sysconfdir}/init.d/bt-pan"
FILES_${PN}-rfcomm =  "${libexecdir}/bluetooth/rfcomm ${sysconfdir}/default/rfcomm ${sysconfdir}/init.d/rfcomm"
FILES_${PN}-bt-name = "/usr/share/bluez5/*"
CONFFILES_${PN}-mlinit += "${sysconfdir}/default/bluetooth"
FILES_${PN}-mlinit = "${sysconfdir}/init.d/bluetooth ${sysconfdir}/default/bluetooth"

CONFFILES_${PN}-pand = "${sysconfdir}/default/bt-pan"
CONFFILES_${PN}-rfcomm = "${sysconfdir}/default/rfcomm"

INITSCRIPT_PACKAGES = "${PN}-mlinit ${PN}-pand ${PN}-rfcomm"

INITSCRIPT_NAME_${PN}-pand = "bt-pan"
INITSCRIPT_NAME_${PN}-rfcomm = "rfcomm"
INITSCRIPT_PARAMS_${PN} = "defaults 20 20"
INITSCRIPT_PARAMS_${PN}-pand = "defaults 22 22"
INITSCRIPT_PARAMS_${PN}-rfcomm = "defaults 22 22"

INITSCRIPT_NAME_${PN}-mlinit = "bluetooth"
pkg_postinst_${PN}-bt-name() {
	cd /$D
    if patch --dry-run -p1 < $D/usr/share/bluez5/BT-Name.patch ; then
        patch -p1 < $D/usr/share/bluez5/BT-Name.patch
    fi
}

pkg_prerm_${PN}-bt-name() {
	cd /$D
	patch -Rp1 < $D/usr/share/bluez5/BT-Name.patch
}

